<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */
class NXsql extends mysqli {

    function __construct() {
        parent::__construct();
        if (!empty($GLOBALS['cfg_dbhost'])) {
            $this->connect($GLOBALS['cfg_dbhost'], $GLOBALS['cfg_dbuser'], $GLOBALS['cfg_dbpwd'], $GLOBALS['cfg_dbname']);
            $this->query('set names utf8');
        }
    }

    function oneRowVal($query) {
        if ($result = $this->query($query)) {
            $row = $result->fetch_row();
            $result->close();
            if (isset($row[1])) {
                return $row;
            } else {
                return $row[0];
            }
        }
    }

    function inLog($operate, $state = 1, $name = '', $pre = '') {
        $name = toSql(substr($name ? $name : adminName(), 0, 20));
        $operate = toSql(substr($operate, 0, 42));
        $file = toSql(substr(selfName(), 0, 21));
        $pre = $pre ? $pre : $GLOBALS['cfg_dbprefix'];
        $c = new Client();
        $query = "INSERT INTO `${pre}admin_log` (name,operate,file,state,ip,port,referer,ua) VALUES ('$name','$operate','$file','$state','$c->ip','$c->po','$c->re','$c->ua');";
        $this->query($query);
        $this->errno && die('插入管理日志数据错误： (' . $this->errno . ') ' . $this->error);
    }

}
